%define upstream_name    DBIx-Class-Schema-Config
%define upstream_version 0.001014

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Credential Management for DBIx::Class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Any) >= 0.230.0
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBIx::Class) >= 0.81.0
BuildRequires: perl(DBIx::Class::Schema)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(Hash::Merge)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More) >= 0.420.0
BuildRequires: perl(URI)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
DBIx::Class::Schema::Config is a subclass of DBIx::Class::Schema that
allows the loading of credentials & configuration from a file. The actual
code itself would only need to know about the name used in the
configuration file. This aims to make it simpler for operations teams to
manage database credentials.

A simple tutorial that compliments this documentation and explains
converting an existing DBIx::Class Schema to use this software to manage
credentials can be found at the
http://www.symkat.com/credential-management-in-dbix-class manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 28 2022 umeabot <umeabot> 0.1.14-2.mga9
+ Revision: 1830499
- Mageia 9 Mass Rebuild

* Sat Jul 17 2021 tv <tv> 0.1.14-1.mga9
+ Revision: 1736379
- update to 0.001014

* Sat Feb 15 2020 umeabot <umeabot> 0.1.13-2.mga8
+ Revision: 1523888
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Mar 15 2019 tv <tv> 0.1.13-1.mga7
+ Revision: 1377492
- update to 0.001013

* Wed Feb 20 2019 tv <tv> 0.1.12-1.mga7
+ Revision: 1368688
- BR perl(inc::Module::Install)
- update to 0.001012

* Thu Sep 20 2018 umeabot <umeabot> 0.1.11-5.mga7
+ Revision: 1282606
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.1.11-4.mga7
+ Revision: 1163981
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.1.11-3.mga7
+ Revision: 1159027
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.1.11-2.mga6
+ Revision: 1025468
- Rebuild for perl 5.22.2

* Tue Dec 22 2015 doktor5000 <doktor5000> 0.1.11-1.mga6
+ Revision: 913466
- imported package perl-DBIx-Class-Schema-Config


* Tue Dec 22 2015 cpan2dist 0.001011-1mga
- initial mageia release, generated with cpan2dist
